Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with Linus' tree

From: Kalle Valo <[email-masked]>
Date: Thu, 24 Aug 2017 10:44:55 +0300

(Adding Dave so that he is also aware of this)

Stephen Rothwell <[email-masked]> writes:

> As expetced, today's linux-next merge of the wireless-drivers-next tree
> got a conflict in:
>
>   drivers/net/wireless/intel/iwlwifi/iwl-nvm-parse.c
>
> between commit:
>
>   92b0f7b26b31 ("iwlwifi: split the regulatory rules when the bandwidth flags require it")
>
> from Linus' tree and commit:
>
>   b823cf3bae81 ("iwlwifi: update channel flags parser")
>
> from the wireless-drivers-next tree.
>
> I fixed it up (see below - Luca, Kalle, thanks for the heads up) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks for the report. There were quite a few conflicts in iwlwifi so
I'm planning to merge wireless-drivers to wireless-drivers-next today so
that the conflicts are fixed before I submit them to Dave.

-- 
Kalle Valo